using BPASmartClient.Helper;
using Microsoft.Toolkit.Mvvm.ComponentModel;
using Microsoft.Toolkit.Mvvm.Input;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPASmartClient.ViewModel
{
    public class DebugViewModel : ObservableObject
    {
        public RelayCommand PlcInite { get; set; }
        public RelayCommand SimulateOrder { get; set; }
        public RelayCommand TakePot { get; set; }
        public RelayCommand TakePotReset { get; set; }
        public RelayCommand TempTurnOff { get; set; }
        public RelayCommand OneBlock { get; set; }
        public RelayCommand TwoBlock { get; set; }
        public RelayCommand ThreeBlock { get; set; }

        public RelayCommand OverTurnOff { get; set; }
        public RelayCommand OverOneBlock { get; set; }
        public RelayCommand OverTwoBlock { get; set; }
        public RelayCommand OverThreeBlock { get; set; }
        public RelayCommand OverGoOn { get; set; }
        public RelayCommand OverGoDown { get; set; }
        public RelayCommand ShreddCabbage { get; set; }
        public RelayCommand FryPork { get; set; }
        public RelayCommand XingBaoGu { get; set; }
        public DebugViewModel()
        {
            PlcInite = new RelayCommand(() => { ActionManage.GetInstance.Send("InitCommand"); });
            SimulateOrder = new RelayCommand(() => { ActionManage.GetInstance.Send("SimultaorOrder"); });
            TakePot = new RelayCommand(() => { ActionManage.GetInstance.Send("TakePot"); });
            TakePotReset = new RelayCommand(() => { ActionManage.GetInstance.Send("TakePotReset"); });
            TempTurnOff = new RelayCommand(() => { ActionManage.GetInstance.Send("TakeOff"); });
            OneBlock = new RelayCommand(() => { ActionManage.GetInstance.Send("OneBlock"); });
            TwoBlock = new RelayCommand(() => { ActionManage.GetInstance.Send("TwoBlock"); });
            ThreeBlock = new RelayCommand(() => { ActionManage.GetInstance.Send("ThreeBlock"); });
            OverTurnOff = new RelayCommand(() => { ActionManage.GetInstance.Send("OverTurnOff"); });
            OverOneBlock = new RelayCommand(() => { ActionManage.GetInstance.Send("OverOneBlock"); });
            OverTwoBlock = new RelayCommand(() => { ActionManage.GetInstance.Send("OverTwoBlock"); });
            OverThreeBlock = new RelayCommand(() => { ActionManage.GetInstance.Send("OverThreeBlock"); });
            OverGoOn = new RelayCommand(() => { ActionManage.GetInstance.Send("OverGoOn"); });
            OverGoDown = new RelayCommand(() => { ActionManage.GetInstance.Send("OverGoDown"); });
            ShreddCabbage = new RelayCommand(() => { ActionManage.GetInstance.Send("ShreddCabbage"); });
            FryPork = new RelayCommand(() => { ActionManage.GetInstance.Send("FryPork"); });
            XingBaoGu = new RelayCommand(() => { ActionManage.GetInstance.Send("XingBaoGu"); });
        }
    }
}
